Get project by projectId

Prev Next
Get
/Customerprojectservice/api/projects/{id}

Fetch project data.

Path parameters
id
objectRequired

Customer Project ID

Responses
200

Searched project

Expand All
object
projectId
string

Customer project id.

Pattern^[A-Za-z0-9]+[A-Za-z0-9_\-:.]*$
ExampleCP-2024-1001
customerId
string

Customer id.

Pattern^[A-Za-z0-9]+[A-Za-z0-9_\-:.]*$
ExampleCP-1001
projectName
string

Full name of the customer project.

Min length1
Max length100
ExampleHarbor Bridge Renovation
contactInformation
string

Contact information.

Min length0
Max length200
ExampleContact via email or phone
externalIds
Array of object (Customerprojectservice_ExternalId)

List of external project numbers.

Min items0
Max items30
object

External identifier from an external system.

system
string

The external system name (e.g., NX).

Min length1
Max length20
ExampleNX
id
string

The identifier in the external system.

Min length1
Max length100
ExampleXYZ123
glnNumber
string

GLN (Global Location Number). Max 13 characters.

Min length0
Max length13
Pattern^[0-9]*$
Example5790001234567
phone
string

Phone number. Max 11 characters.

Min length0
Max length11
Pattern^\+?[0-9]+$
Example+4512345678
mobile
string

Mobile number. Max 11 characters.

Min length0
Max length11
Pattern^\+?[0-9]+$
Example+4587654321
email
string

Email address. Max 50 characters.

Min length0
Max length50
Pattern^[^@]+@[^@]+\.[^@]+$
Exampleproject@example.com
address
object (Customerprojectservice_Address)

Address details.

name
string

Name of the address location.

Min length1
Max length100
ExampleMain Office
drivingDescription
string

Driving directions or description.

Min length0
Max length200
ExampleEnter through the back gate
address1
string

Address line 1.

Min length0
Max length30
ExampleMain Street 123
address2
string

Address line 2.

Min length0
Max length30
ExampleBuilding B, 2nd floor
postalCode
string

Postal code.

Min length0
Max length10
Example1000
city
string

City name.

Min length0
Max length30
ExampleCopenhagen
country
string

Country name.

Min length0
Max length50
ExampleDenmark
salesPerson
object (Customerprojectservice_SalesPerson)

Salesperson details.

code
string

Salesperson code.

Min length1
Max length30
ExampleSP001
name
string

Salesperson name.

Min length1
Max length100
ExampleJohn Doe
contactPerson
object (Customerprojectservice_ContactPerson)

Contact person details.

contactPersonId
string

Contact person identifier.

Min length1
Max length30
ExampleCP001
site
object (Customerprojectservice_ProjectSite)

Project site details.

apartment
string

Apartment number.

Min length0
Max length50
Example3A
entrance
string

Entrance.

Min length0
Max length50
ExampleMain entrance
floor
string

Floor number.

Min length0
Max length50
Example2
house
string

House number.

Min length0
Max length50
Example123
room
string

Room number.

Min length0
Max length50
Example201
position
string

Position on site.

Min length0
Max length100
ExampleNorth wing
loadingZone
string

Loading zone.

Min length0
Max length100
ExampleZone A
loadingInstruction
string

Loading instructions.

Min length0
Max length200
ExampleUse loading dock 3
enabled
boolean

Indicates if the site is enabled.

Exampletrue
externalReference
string

External reference.

Min length0
Max length30
ExampleREF-001
fromDate
string (date-time)

Project start date.

toDate
string (date-time)

Project end date.

lastOrderDate
string (date-time)

Last order date.

401

HTTP Unauthorized

object
timestamp
string (date-time)
status
integer (int32)
error
string
path
string
404

HTTP Not Found

Expand All
object

Object representing error details in responses

title
string

A short, human-readable title for the error.

Min length0
Max length200
ExampleValidation Error
status
integer (int32)

The HTTP status code generated by the origin server for this occurrence of the problem.

Example400
detail
string

A human-readable explanation specific to this occurrence of the problem.

Min length0
Max length250
ExampleOne or more fields are invalid.
instance
string

A URI reference that identifies the specific occurrence of the problem.

Min length0
Max length250
Example/api/containers/123
errors
Array of object (Customerprojectservice_ValidationErrorDTO)
Min items0
Max items100
object
fieldName
string
Min length0
Max length100
message
string
Min length0
Max length200
rejectedValue
string
Min length0
Max length200
500

HTTP Internal Server Error

Expand All
object

Object representing error details in responses

title
string

A short, human-readable title for the error.

Min length0
Max length200
ExampleValidation Error
status
integer (int32)

The HTTP status code generated by the origin server for this occurrence of the problem.

Example400
detail
string

A human-readable explanation specific to this occurrence of the problem.

Min length0
Max length250
ExampleOne or more fields are invalid.
instance
string

A URI reference that identifies the specific occurrence of the problem.

Min length0
Max length250
Example/api/containers/123
errors
Array of object (Customerprojectservice_ValidationErrorDTO)
Min items0
Max items100
object
fieldName
string
Min length0
Max length100
message
string
Min length0
Max length200
rejectedValue
string
Min length0
Max length200